Update a driver

Update a specific driver's information. This can also be used to activate or de-activate a given driver by setting the driverActivationStatus field. If the driverActivationStatus field is 'deactivated' then the user can also specify the deactivatedAtTime. The deactivatedAtTime cannot be more than 6 months in the past and must not come before the dirver's latest active HOS log. It will be considered an error if deactivatedAtTime is provided with a driverActivationStatus of active.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

To use this endpoint, select Write Drivers under the Drivers category when creating or editing an API token. Learn More.

Path Params
string
required

ID of the driver. This can either be the Samsara-specified ID, or an external ID. External IDs are customer specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: key:value. For example, payrollId:ABFS18600

Body Params

Updates to the driver properties.

attributes
array of objects
attributes
carrierSettings
object

Carrier for a given driver. If the driver's carrier differs from the general organization's carrier settings, the override value is used. Updating this value only updates the override setting for this driver.

string

The ID Card Code on the back of the physical card assigned to the driver. Contact Samsara if you would like to enable this feature.

string

The date and time this driver is considered to be deactivated in RFC 3339 format.

string
enum

A value indicating whether the driver is active or deactivated. Valid values: active, deactivated.

Allowed:
boolean

Flag indicating this driver may use Adverse Weather exemptions in ELD logs.

boolean

Flag indicating this driver may use Big Day exemption in ELD logs.

integer

0 indicating midnight-to-midnight ELD driving hours, 12 to indicate noon-to-noon driving hours.

boolean

Flag indicating this driver is exempt from the Electronic Logging Mandate.

string

Reason that this driver is exempt from the Electronic Logging Mandate (see eldExempt).

boolean

Flag indicating this driver may select the Personal Conveyance duty status in ELD logs.

boolean

Flag indicating this driver may select the Yard Move duty status in ELD logs.

externalIds
object

The external IDs for the given object.

boolean

A boolean indicating whether the driver has driving-related features hidden in the Driver App, including Vehicle selection, HOS, Routing, Team Driving, Documents, and Trip Logs. Default value is false if omitted. Note: only available to customers of Connected Forms.

boolean

A boolean indicating whether the driver has vehicle unpinning enabled. Default value is true if omitted.

hosSetting
object

Hos settings for a driver.

string

Driver's state issued license number. The combination of this number and licenseState must be unique.

string

Abbreviation of US state, Canadian province, or US territory that issued driver's license.

string
enum

Locale override (uncommon). These are specified by ISO 3166-2 country codes for supported locales. Valid values: us, at, be, ca, gb, fr, de, ie, it, lu, mx, nl, es, ch, pr.

string
length between 1 and 255

Driver's name.

string
length ≤ 4096

Notes about the driver.

string

Password that the driver can use to login to the Samsara driver app.

string

The peer group tag id this driver belong to, leave blank to be in group with everyone, used for gamification.

string
length ≤ 255

Phone number of the driver.

string

Base64-encoded profile image data. This field can be used to upload a profile image during driver creation. The image will be processed and stored, and the profileImageUrl will be returned in the response. If Camera ID is enabled, uploaded profile photos are used to train the model to recognize drivers automatically. You can manage this setting in Driver Assignment.

string
length ≤ 1024

URL to the driver's profile image. This field is returned in responses and can be used to set a profile image from an external URL during driver creation.

string

ID of vehicle that the driver is permanently assigned to. (uncommon).

string

Driver's assigned tachograph card number (Europe specific)

tagIds
array of strings

IDs of tags the driver is associated with. If your access to the API is scoped by one or more tags, this field is required to pass in.

tagIds
string

Home terminal timezone, in order to indicate what time zone should be used to calculate the ELD logs. Driver timezones use IANA timezone database keys (e.g. America/Los_Angeles, America/New_York, Europe/London, etc.). You can find a mapping of common timezone formats to IANA timezone keys here.

usDriverRulesetOverride
object

US Driver Ruleset override for a given driver. If the driver is operating under a ruleset different from the organization default, the override is used. Updating this value only updates the override setting for this driver. Explicitly setting this field to null will delete driver's ruleset override. If the driver does not have an override ruleset set, the response will not include any usDriverRulesetOverride information.

string
length between 1 and 189

Driver's login username into the driver app. The username may not contain spaces or the '@' symbol. The username must be unique.

string

Tag ID which determines which vehicles a driver will see when selecting vehicles.

boolean

Flag indicating this driver may select waiting time duty status in ELD logs

Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json